<?php
// +-----------------------------------------------------------------------+
// | Plugin Name : Look_Like_GBO  2                                                              |
// | Plugin Version : 2.0                                                                                    |
// | File Version : 0.1                                                                                       |
// | Plugin Version author : Ex-FTB                                                               |
// | Plugin description :                                                                                  |
// | Ce plugin permet d'afficher les miniatures au survol des boutons     |
// | de navigation. This plugin allows display thumbnail under buton        |
// +-----------------------------------------------------------------------+
// | This program is free software; you can redistribute it and/or modify  |
// | it under the terms of the GNU General Public License as published by  |
// | the Free Software Foundation                                          |
// |                                                                       |
// | This program is distributed in the hope that it will be useful, but   |
// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
// | General Public License for more details.                              |
// |                                                                       |
// | You should have received a copy of the GNU General Public License     |
// | along with this program; if not, write to the Free Software           |
// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
// | USA.                                                                  |
// +-----------------------------------------------------------------------+

// ***************************************
// ** Plugin Administration panel setup **
// ***************************************
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
/* ****************************************************** */
/* Plugin template initialisation for admin panel display */
/* ****************************************************** */
global $template , $conf,$lang;
{$template->assign( 'LLGBO_VERSION' , 'Version:2.0');}
$me = get_plugin_data($plugin_id);
$template->clear_assign('LLGBOINFO');
// Load configuration settings from database
$conf_LLGBO = explode("," , $conf['LLGBO']);

// Setup plugin Language
load_language('plugin.lang', LLGBO_PATH);
 
// Update configuration settings in database
if ( isset($_POST['submit']) )
{  
if (!isset($_POST['llgbo_frame'])) {$_POST['llgbo_frame'] = 'false';} 
if (!isset($_POST['llgbo_tooltip'])) {$_POST['llgbo_tooltip'] = 'false';}  
if (!isset($_POST['llgbo_exifunderbt'])) {$_POST['llgbo_exifunderbt'] = 'false';}  
if (!isset($_POST['llgbo_usemap'])) {$_POST['llgbo_usemap'] = 'false';}
if (!isset($_POST['llgbo_usemap_thumb'])) {$_POST['llgbo_usemap_thumb'] = 'false';}
if (!isset($_POST['llgbo_title_frame'])) {$_POST['llgbo_title_frame'] = 'false';}    
if (!isset($_POST['llgbo_header'])) {$_POST['llgbo_header'] = 'false';} 
if (!isset($_POST['llgbo_maintain_header'])) {$_POST['llgbo_maintain_header'] = '';}
if (!isset($_POST['llgbo_allinfo'])) {$_POST['llgbo_allinfo'] = 'false';}
if (!isset($_POST['llgbo_default_navthumb'])) {$_POST['llgbo_default_navthumb'] = 'false';}
 $param_llgbo = array($_POST['llgbo_frame'],
            $_POST['llgbo_tooltip'],
            $_POST['llgbo_exifunderbt'],
            $_POST['llgbo_usemap'],
			$_POST['llgbo_usemap_thumb'],
            $_POST['llgbo_title_frame'],
			$_POST['llgbo_header'],
			$_POST['llgbo_maintain_header'],
			$_POST['llgbo_allinfo'],
			$_POST['llgbo_default_navthumb'],
		);		 
        $llgbo_new_value = implode ("," , $param_llgbo);
        $query = '
UPDATE ' . CONFIG_TABLE . '
  SET value="' . $llgbo_new_value . '"
  WHERE param="LLGBO"
  LIMIT 1';
        pwg_query($query);

 $template->assign('LLGBOINFO','llgbo_info');

// Reload settings for correct display after update
$conf['LLGBO']= $llgbo_new_value;
}

$conf_LLGBO = explode("," , $conf['LLGBO']);
// template setting
if ($conf_LLGBO[0] == 'true')
{$template->assign( 'LLGBO_FRAME' , 'true');}
 else
{$template->assign( 'LLGBO_FRAME' , 'false');}
if ($conf_LLGBO[1] == 'true')
{$template->assign( 'LLGBO_TOOLTIP' , 'true');}
 else
 {$template->assign( 'LLGBO_TOOLTIP' , "false");}
 
if ($conf_LLGBO[2]  == 'true')
{$template->assign('LLGBO_EXIFUNDERBT' , 'true');}
 else
 {$template->assign( 'LLGBO_EXIFUNDERBT' , "false");}
 
if ($conf_LLGBO[3]  == 'true')
 {$template->assign( array( 'LLGBO_USEMAP' => 'true'));}
 else
 { $template->assign( array( 'LLGBO_USEMAP' => "false"));}
 
 if ($conf_LLGBO[4]  == 'true')
 {$template->assign( array( 'LLGBO_USEMAP_THUMB' => 'true'));}
 else
 { $template->assign( array( 'LLGBO_USEMAP_THUMB' => "false"));}
 
 if ($conf_LLGBO[5]  == 'true')
{ $template->assign( array( 'LLGBO_TITLE_FRAME' => 'true'));}
 else
{  $template->assign( array( 'LLGBO_TITLE_FRAME' => "false"));}

if ($conf_LLGBO[6] == 'true')
{ $template->assign( array( 'LLGBO_HEADER' => 'true'));}
 else
 { $template->assign( array( 'LLGBO_HEADER' => "false"));}
 
 $template->assign(array( 'LLGBO_MAINTAIN_HEADER' => $conf_LLGBO[7]));
 
 if ($conf_LLGBO[8]  == 'true')
{ $template->assign(array( 'LLGBO_ALLINFO' => 'true'));}
 else
{  $template->assign( array( 'LLGBO_ALLINFO' => "false"));} 

if ($conf_LLGBO[9] == 'true')
{ $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => 'true'));}
 else
 { $template->assign(array( 'LLGBO_DEFAULT_NAVTHUMB' => "false"));}
$template->set_filenames( array('llgbo_admin_content' => dirname(__FILE__).'/llgbo_admin.tpl') );
$template->assign_var_from_handle( 'ADMIN_CONTENT', 'llgbo_admin_content');
?>